#!/bin/bash
#中文-UTF8

curpath=`pwd`
echo $curpath
mkdir /usr/local/ccvoice/
chmod 700 /usr/local/ccvoice/
cp -rp ./ccvoice/* /usr/local/ccvoice/
chmod 700 /usr/local/ccvoice/CCVoice.Server

cp -rp ./centos.repo /etc/yum.repos.d/
cp -rp ./centos-addons.repo /etc/yum.repos.d/
#date -s '2024-03-25'
dnf clean all && dnf makecache
dnf install -y chrony at cronie crontabs
timedatectl set-timezone Asia/Shanghai
systemctl enable atd
systemctl enable chronyd
systemctl enable crond
systemctl restart atd
systemctl restart chronyd
echo "0 1 * * * reboot" | sudo crontab -
systemctl restart crond

dnf install -y aspnetcore-runtime-8.0 dotnet-runtime-8.0 redis curl net-tools wget tar gcc tcl
dnf install -y lame alsa*

rm -rf /etc/systemd/system/ccvoice.service
cat >>/etc/systemd/system/ccvoice.service<<EOF
[Unit]
Description=CCVoice.Server
After=redis.service

[Service]
WorkingDirectory=/usr/local/ccvoice/
ExecStart=/usr/local/ccvoice/CCVoice.Server
Restart=always
RestartSec=10  # Restart service after 10 seconds if dotnet service crashes
SyslogIdentifier=CCVoice.Server
User=root
Environment=ASPNETCORE_ENVIRONMENT=Production
Environment=DOTNET_PRINT_TELEMETRY_MESSAGE=false

[Install]
WantedBy=multi-user.target
EOF
systemctl daemon-reload
systemctl enable redis.service
systemctl enable ccvoice.service
firewall-cmd --permanent --zone=public --add-service={http,https}
firewall-cmd --permanent --zone=public --add-port=5060-5999/tcp
firewall-cmd --permanent --zone=public --add-port=5060-5999/udp
firewall-cmd --permanent --zone=public --add-port=6000-60000/udp
firewall-cmd --reload
echo "net.core.somaxconn = 10240" >>/etc/sysctl.conf
sysctl -p
rm -rf /etc/security/limits.conf.bak
mv /etc/security/limits.conf /etc/security/limits.conf.bak
cat >>/etc/security/limits.conf<<EOF
* soft nofile 10240
* hard nofile 10340
* soft nproc 10240
* hard nproc 10340
EOF
echo "Install OK"
cd $curpath
sudo rm -rf *
sudo rm -rf /root/ccv_temp
sudo reboot
