#!/bin/bash
#中文-UTF8

curpath=`pwd`
echo $curpath
mkdir /usr/local/ccvoice/
chmod 700 /usr/local/ccvoice/
cp -rp ./ccvoice/* /usr/local/ccvoice/
chmod 700 /usr/local/ccvoice/CCVoice.Server

sudo apt-get install -y chrony at cron
timedatectl set-timezone Asia/Shanghai
systemctl enable atd
systemctl enable cron
systemctl enable chronyd
systemctl restart atd
systemctl restart chronyd
echo "0 1 * * * reboot" | sudo crontab -
systemctl restart cron

wget https://packages.microsoft.com/config/ubuntu/22.04/packages-microsoft-prod.deb -O packages-microsoft-prod.deb
sudo dpkg -i packages-microsoft-prod.deb
sudo apt-get update
sudo apt-get install -y aspnetcore-runtime-8.0 dotnet-runtime-8.0 redis curl net-tools wget tar gcc tcl ufw
sudo apt-get install -y alsa* libasound2 libasound2-dev libasound2-plugins libasound2-plugin-smixer libasound2-plugins-extra lame

sudo rm -rf /etc/systemd/system/ccvoice.service
sudo cat >>/etc/systemd/system/ccvoice.service<<EOF
[Unit]
Description=CCVoice.Server
After=redis.service

[Service]
WorkingDirectory=/usr/local/ccvoice/
ExecStart=/usr/local/ccvoice/CCVoice.Server
Restart=always
RestartSec=10  # Restart service after 10 seconds if dotnet service crashes
SyslogIdentifier=CCVoice.Server
User=root
Environment=ASPNETCORE_ENVIRONMENT=Production
Environment=DOTNET_PRINT_TELEMETRY_MESSAGE=false

[Install]
WantedBy=multi-user.target
EOF
systemctl daemon-reload
systemctl enable redis.service
systemctl enable ccvoice.service

sudo ufw allow ssh
sudo ufw allow http
sudo ufw allow https
sudo ufw allow 5060:5999/udp
sudo ufw allow 5060:5999/tcp
sudo ufw allow 6000:60000/udp
sudo ufw reload
sudo ufw enable

systemctl stop brltty-udev.service
systemctl mask brltty-udev.service
systemctl stop brltty.service
systemctl disable brltty.service
sudo apt remove -y brltty*

echo "net.core.somaxconn = 10240" >>/etc/sysctl.conf
sysctl -p
rm -rf /etc/security/limits.conf.bak
mv /etc/security/limits.conf /etc/security/limits.conf.bak
cat >>/etc/security/limits.conf<<EOF
root soft nofile 10240
root hard nofile 10340
root soft nproc 10240
root hard nproc 10340
EOF
echo "Install OK"
cd $curpath
sudo rm -rf *
sudo rm -rf /root/ccv_temp
sudo reboot
